using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Dynamic;
using System.Text;
using Domain;
using Dao;

namespace Service.Implement
{
    public class ECO_DetailManager : GenericManagerBase<ECO_Detail>, IECO_RoomDetailManager
	{
        public int Add(ECO_Detail test)
        {
            return ((Dao.IECO_DetailRepository)(this.CurrentRepository)).Add(test);
        }

        public new void Update(ECO_Detail n)
        {
            ((Dao.IECO_DetailRepository)(this.CurrentRepository)).Update(n);
        }

        public new void UpdateOrSave(ECO_Detail n)
        {
            ((Dao.IECO_DetailRepository)(this.CurrentRepository)).SaveOrUpdate(n);
        }
    }
}
